package com.jasamedika.medifirst2000.vo;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

import javax.validation.constraints.NotNull;

public class HasilPemeriksaanSwaDetailVO extends BaseTransaction {

	@NotNull(message = "Parameter tidak boleh kosong")
	@Caption(value = "Object Parameter")
	private ParameterVO parameter;

	@Caption(value = "Satuan")
	private SatuanStandarVO satuanStandar;

	@Caption(value = "nilai")
	private Double nilai;

	public ParameterVO getParameter() {
		return parameter;
	}

	public void setParameter(ParameterVO parameter) {
		this.parameter = parameter;
	}

	public SatuanStandarVO getSatuanStandar() {
		return satuanStandar;
	}

	public void setSatuanStandar(SatuanStandarVO satuanStandar) {
		this.satuanStandar = satuanStandar;
	}

	public Double getNilai() {
		return nilai;
	}

	public void setNilai(Double nilai) {
		this.nilai = nilai;
	}

}
